#notification {
    display: grid;
    grid-template-columns: 1.15fr 3fr;
    width: 98%;
    margin: auto;
    /* background-color: whitesmoke; */
    background-color: white;
    box-shadow: rgba(0, 0, 0, 0.1) 0px 4px 12px;
    border-radius: 10px;
    height: 90vh;
}


body::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    background-image: linear-gradient(135deg, #f5f7fa 0%, #dfdfdf 100%);
    width: 100%;
    height: 100%;
    filter: blur(10rem);
    z-index: -3;
}



.icon-box {
    display: none;
}

#notification-top {
    min-width: 40rem;
}

.notification-card {
    display: flex;
    position: relative;
    padding: 0.5rem 0.5rem;
    cursor: pointer;
}

.notification-margin {
    padding: 1rem 2rem 1rem 1rem;
}

.notification-margin:hover {
    background-color: rgb(237, 237, 237);
}

.notification-card .icon-box {
    padding: 1rem;
}

.notification-card .icon-box .icon-component {
    font-size: 2.5rem;
    margin: auto;
    background-color: cadetblue;
    border-radius: 50%;
    padding: 0.8rem;
}

.notification-card .content .date {
    position: absolute;
    top: 5px;
    right: 5px;
    font-size: 1.2rem;
    color: gray;
}

.notification-card .content p {
    padding: 0.2rem 0;
    font-size: 1.12rem;
}

.notification-card .content h2 {
    width: 75%;
    font-weight: 500;
    text-overflow: ellipsis;
    overflow: hidden;
    white-space: nowrap;
}

#notification-depth {
    border-left: 1px solid #80808021;
}

.seprator {
    display: flex;
    width: 100%;
    height: 1px;
    background-color: grey;
}

.notice-message {
    font-size: 1.5rem;
    padding: 1rem;
}

.heading,
.sub-heading,
.upload_date {
    text-align: center;
}

.heading {
    font-size: 3rem;
}

.sub-heading {
    font-size: 2rem;
    font-weight: 500;
}

.notice-message p {
    padding: 1rem;
}

.upload_date {
    font-size: 1.2rem;
}

#notice-close-btn{
    display: none;
}

@media screen and (max-width: 475px) {
    #notification{
        grid-template-columns: 1fr;
    }
    
    #notice-close-btn {
        display: block;
        position: absolute;
        top: 8px;
        left: 10px;
        font-size: 3rem;
    }

    .notice-message{
        height: 100%;
        margin-top: 4rem;

    }

    #notice-close-btn:hover{
        transform: scale(1.2);
        cursor: pointer;
        transition: ease-in-out 0.2s;
    }

    #notification-depth {
        position: relative;
        height: 100vh;
    }

}